import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  
  list = '/page/pageMetricconfig/list',
  save='/page/pageMetricconfig/add',
  edit='/page/pageMetricconfig/edit',
  deleteOne = '/page/pageMetricconfig/delete',
  deleteBatch = '/page/pageMetricconfig/deleteBatch',
  importExcel = '/page/pageMetricconfig/importExcel',
  exportXls = '/page/pageMetricconfig/exportXls',
  queryPageMetricconfig = '/page/pageMetricconfig/queryPageMetricconfig',

  addBatch='/page/pageMetricconfig/addBatch',

  
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}


export const queryPageMetricconfig = (params) =>
  defHttp.get({url: Api.queryPageMetricconfig, params});

export const addBatch = (params) => {
    return defHttp.post({url: Api.addBatch, params});
}
  